aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Savoye <rob@welcomehome.org>2002-08-30 01:29:46 +0000
committerRob Savoye <rob@welcomehome.org>2002-08-30 01:29:46 +0000
commit84f93d7c4a81b30037a6084b680fb79c397d86ad (patch)
treebbb117e251d995cee38b3fa67f33b9d03e4b534c
parent5e3bc21a8695ec077c06cae39519777d41dc7221 (diff)
downloaddejagnu-84f93d7c4a81b30037a6084b680fb79c397d86ad.zip
dejagnu-84f93d7c4a81b30037a6084b680fb79c397d86ad.tar.gz
dejagnu-84f93d7c4a81b30037a6084b680fb79c397d86ad.tar.bz2
Slowly working towards the next release...
-rw-r--r--ChangeLog12
-rwxr-xr-xconfigure95
-rw-r--r--configure.in5
-rw-r--r--debian/changelog7
-rw-r--r--debian/copyright6
-rw-r--r--dejagnu.h2
-rw-r--r--redhat/dejagnu.spec11
-rw-r--r--testsuite/libdejagnu/unit.cc2
8 files changed, 42 insertions, 98 deletions
diff --git a/ChangeLog b/ChangeLog
index 8cd158a..be98aaa 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2002-08-29 Rob Savoye <rob@welcomehome.org>
+
+ * dejagnu.h: Use __STDC_HOSTED__, rather than our own autoconf
+ test to determine libstdc++ 2.x or 3.x.
+ * testsuite/libdejagnu/unit.cc: Use __STDC_HOSTED__, rather than
+ our own autoconf test to determine libstdc++ 2.x or 3.x.
+
+2001-01-15 Ben Elliston <bje@redhat.com>
+
+ * lib/framework.exp (record_test): Invoke a user-defined procedure
+ if one is named in local_record_procs($type).
+
2002-08-28 Nick Clifton <nickc@redhat.com>
* baseboards/v850-sim.exp (target_install): Add v850e-elf.
diff --git a/configure b/configure
index 550bb10..f78605c 100755
--- a/configure
+++ b/configure
@@ -1217,7 +1217,7 @@ fi
# Define the identity of the package.
PACKAGE=dejagnu
-VERSION=1.4.2
+VERSION=1.4.3
cat >>confdefs.h <<EOF
#define PACKAGE "$PACKAGE"
@@ -2718,75 +2718,6 @@ echo "${ECHO_T}${ac_cv_path_tclsh}" >&6
fi
TCLSH="${ac_cv_path_tclsh}"
-echo "$as_me:2721: checking for STL versions" >&5
-echo $ECHO_N "checking for STL versions... $ECHO_C" >&6
-if test "${ac_cv_stl+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
- ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
- cat >conftest.$ac_ext <<_ACEOF
-#line 2734 "configure"
-#include "confdefs.h"
-#include <iostream>
-int
-main ()
-{
-
- using namespace std;
- char bbuuff[5120];
- cout.rdbuf()->pubsetbuf(bbuuff, 5120);
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2749: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:2752: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2755: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:2758: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_stl=v3
-
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_stl=v2
-
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext,
-
-fi
-
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
-if test x"${ac_cv_stl}" != x"v2" ; then
- echo "$as_me:2779: result: v3" >&5
-echo "${ECHO_T}v3" >&6
- cat >>confdefs.h <<\EOF
-#define HAVE_STL3 1
-EOF
-
-else
- echo "$as_me:2786: result: v2" >&5
-echo "${ECHO_T}v2" >&6
-fi
-
BOARDS='$(boards)'
CONFIG='$(config)'
@@ -2903,7 +2834,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:2906: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:2837: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -3074,7 +3005,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:3077: error: ambiguous option: $1
+ { { echo "$as_me:3008: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -3093,7 +3024,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:3096: error: unrecognized option: $1
+ -*) { { echo "$as_me:3027: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -3144,7 +3075,7 @@ do
"example/Makefile" ) CONFIG_FILES="$CONFIG_FILES example/Makefile" ;;
"testsuite/libdejagnu/Makefile" ) CONFIG_FILES="$CONFIG_FILES testsuite/libdejagnu/Makefile" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
- *) { { echo "$as_me:3147: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:3078: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -3382,7 +3313,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:3385: creating $ac_file" >&5
+ { echo "$as_me:3316: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -3400,7 +3331,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:3403: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:3334: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -3413,7 +3344,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:3416: error: cannot find input file: $f" >&5
+ { { echo "$as_me:3347: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -3557,7 +3488,7 @@ if test "$no_recursion" != yes; then
# parts of a large source tree are present.
test -d $srcdir/$ac_subdir || continue
- { echo "$as_me:3560: configuring in $ac_subdir" >&5
+ { echo "$as_me:3491: configuring in $ac_subdir" >&5
echo "$as_me: configuring in $ac_subdir" >&6;}
case $srcdir in
.) ;;
@@ -3579,7 +3510,7 @@ done; }
if test -d ./$ac_subdir; then :;
else
- { { echo "$as_me:3582: error: cannot create \`pwd\`/$ac_subdir" >&5
+ { { echo "$as_me:3513: error: cannot create \`pwd\`/$ac_subdir" >&5
echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -3610,7 +3541,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
elif test -f $ac_sub_srcdir/configure.in; then
ac_sub_configure=$ac_configure
else
- { echo "$as_me:3613: WARNING: no configuration information is in $ac_subdir" >&5
+ { echo "$as_me:3544: WARNING: no configuration information is in $ac_subdir" >&5
echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
ac_sub_configure=
fi
@@ -3624,12 +3555,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
ac_sub_cache_file=$ac_dots$cache_file ;;
esac
- { echo "$as_me:3627: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+ { echo "$as_me:3558: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
# The eval makes quoting arguments work.
eval $ac_sub_configure $ac_sub_configure_args \
--cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
- { { echo "$as_me:3632: error: $ac_sub_configure failed for $ac_subdir" >&5
+ { { echo "$as_me:3563: error: $ac_sub_configure failed for $ac_subdir" >&5
echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
{ (exit 1); exit 1; }; }
fi
diff --git a/configure.in b/configure.in
index d21e609..a858673 100644
--- a/configure.in
+++ b/configure.in
@@ -4,7 +4,7 @@ AC_INIT(runtest.exp)
dnl AC_CONFIG_AUX_DIR(..)
dnl These are required by automake
-AM_INIT_AUTOMAKE(dejagnu, 1.4.2)
+AM_INIT_AUTOMAKE(dejagnu, 1.4.3)
AM_MAINTAINER_MODE
AC_PROG_MAKE_SET
@@ -22,9 +22,6 @@ DJ_AC_PATH_DOCBOOK
dnl we need the path to the tcl shell to build a release
DJ_AC_PATH_TCLSH
-dnl we need to know if we have libstl v2 or v3
-DJ_AC_STL
-
dnl Level of indirection for automake macro (baseboards:boards_DATA)
BOARDS='$(boards)'
AC_SUBST(BOARDS)
diff --git a/debian/changelog b/debian/changelog
index 95463ea..5e2c9fc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,8 @@
+dejagnu (1.4-3) stable; urgency=low
+ * Update version number for new minor release.
+
+-- Rob Savoye <rob@welcomehome.org> Thu, 29 Sept 2002 04:20:00 -0800
+
dejagnu (1.4-2) stable; urgency=low
* Update version number for new minor release.
@@ -11,7 +16,7 @@ dejagnu (1.4-1) stable; urgency=low
dejagnu (1.4-0) stable; urgency=low
* Make this work again for the new release.
- -- Rob Savoye <rob@welcomehome.org> Wed, 21 Feb 2001 04:37:07 -0800
+ -- Rob Savoye <rob@welcomehome.org> Wed, 21 Feb 2001 04:20:00 -0800
dejagnu (1.3-10) frozen unstable; urgency=low
diff --git a/debian/copyright b/debian/copyright
index 40e8a61..ae28d5f 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,14 +1,10 @@
This is the Debian GNU/Linux prepackaged version of GNU DejaGnu.
-This package was put together by Kevin Dalley <kevind@rahul.net>,
-from sources obtained from:
- prep.ai.mit.edu:/pub/gnu/dejagnu-1.3.tar.gz
-
Changes:
* added Debian GNU/Linux package maintenance system files
* skip compilation of tcl and expect
-GNU dejagnu are Copyright (C) 92, 93, 94, 95, 1996 Free Software
+GNU dejagnu are Copyright (C) 92 - 2001, 2002 Free Software
Foundation, Inc.
This program is free software; you can redistribute it and/or modify
diff --git a/dejagnu.h b/dejagnu.h
index 121ab1c..4dd6f6c 100644
--- a/dejagnu.h
+++ b/dejagnu.h
@@ -147,7 +147,7 @@ totals (void) {
#include <fstream>
#include <string>
#if 0
-#if HAVE_STL3
+#ifdef __STDC___
#include <sstream>
#else
#include <strstream>
diff --git a/redhat/dejagnu.spec b/redhat/dejagnu.spec
index d23c053..3f32475 100644
--- a/redhat/dejagnu.spec
+++ b/redhat/dejagnu.spec
@@ -1,4 +1,4 @@
-%define version 1.4.2
+%define version 1.4.3
Summary: A front end for testing other programs.
Name: dejagnu
@@ -7,8 +7,8 @@ Release: 0
Copyright: GPL
Source: ftp://ftp.gnu.org/gnu/dejagnu/snapshots/dejagnu-%{version}.tar.gz
-#Patch0: dejagnu-1.4.2-rth.patch
-#Patch1: dejagnu-1.4.2-glibc21.patch
+#Patch0: dejagnu-1.4.3-rth.patch
+#Patch1: dejagnu-1.4.3-glibc21.patch
Group: Development/Tools
# Since we're building this on a debian system, we can't require these.
Requires: tcl >= 8.0, expect >= 5.21
@@ -52,8 +52,11 @@ rm -rf $RPM_BUILD_ROOT
%doc COPYING NEWS README AUTHORS INSTALL ChangeLog doc/overview doc/overview.ps doc/overview.pdf
%changelog
+* Thu Aug 29 2002 Rob Savoye <rob@welcomehome.org>
+- Update version number for 1.4.3 release.
+
* Wed Apr 11 2001 Rob Savoye <rob@welcomehome.org>
-- Updfate version number for 1.4.2 release.
+- Update version number for 1.4.2 release.
* Wed Apr 11 2001 Rob Savoye <rob@welcomehome.org>
- Added installing dejagnu.h.
diff --git a/testsuite/libdejagnu/unit.cc b/testsuite/libdejagnu/unit.cc
index d01869a..98de84c 100644
--- a/testsuite/libdejagnu/unit.cc
+++ b/testsuite/libdejagnu/unit.cc
@@ -50,7 +50,7 @@ main (int argc, char *argv[]) {
// see what was displayed. Otherwise, there is no way we can test
// the logging functions completely.
char bbuuff[5120];
-#ifdef HAVE_STL3
+#ifdef __STDC_HOSTED__
cout.rdbuf()->pubsetbuf(bbuuff, 5120);
#else
cout.rdbuf()->setbuf(bbuuff, 5120);